#include "sprite.h"

void Sprite::render()
{
	//Muestra el sprite por pantalla
	mTexture->render(mPosX, mPosY, &mSpriteClip);
}

//Obten el valor de la variable
int Sprite::getPosX()
{
	return mPosX;
}

//Obten el valor de la variable
int Sprite::getPosY()
{
	return mPosY;
}

//Obten el valor de la variable
int Sprite::getWidth()
{
	return mWidth;
}

//Obten el valor de la variable
int Sprite::getHeight()
{
	return mHeight;
}

//Establece el valor de la variable
void Sprite::setPosX(int x)
{
	mPosX = x; 
}

//Establece el valor de la variable
void Sprite::setPosY(int y)
{
	mPosY = y; 
}

//Establece el valor de la variable
void Sprite::setWidth(int w)
{
	mWidth = w; 
}

//Establece el valor de la variable
void Sprite::setHeight(int h)
{
	mHeight = h; 
}

//Obten el valor de la variable
SDL_Rect Sprite::getSpriteClip()
{
	return mSpriteClip;
}

//Establece el valor de la variable
void Sprite::setSpriteClip(SDL_Rect rect)
{
	mSpriteClip = rect;
}

//Establece el valor de la variable
void Sprite::setSpriteClip(int x, int y, int w, int h)
{
	mSpriteClip.x = x;
	mSpriteClip.y = y;
	mSpriteClip.w = w;
	mSpriteClip.h = h;
}

//Obten el valor de la variable
LTexture* Sprite::getTexture()
{
	return mTexture;
}

//Establece el valor de la variable
void Sprite::setTexture(LTexture &texture)
{
	mTexture = &texture;
}